function OnDressChanged()
	RemoveObject("gpc1")
	RemoveObject("gqc1")
	RemoveObject("grc1")	
	if DRESS_MADELEINE then
		-- reflet Madeleine
		StartAnimationPart("gpc1",102,103,-1,false)
	elseif DRESS_CESAR then
		-- reflet César
		StartAnimationPart("gqc1",102,103,-1,false)
	elseif DRESS_MONK then
		-- reflet Madeleine en moine
		StartAnimationPart("grc1",102,103,-1,false)
	end
end

function OnWarpEnter() 
	SetMarker("cs\\Warp_0067.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0064.wp" , 0 , 0) 

	if DRESS_MADELEINE then
		-- reflet Madeleine
		StartAnimationPart("gpc1",102,103,-1,false)
	elseif DRESS_CESAR then
		-- reflet César
		StartAnimationPart("gqc1",102,103,-1,false)
	elseif DRESS_MONK then
		-- reflet Madeleine en moine
		StartAnimationPart("grc1",102,103,-1,false)
	end

	if not GUARD_QUEEN_ROOM_D5 then
		StartAnimationPart("fxc1",10,40,-1,false) -- garde
		PutObject("ubc1") -- reflet du garde
	end

--DAY3
	if ETAT_DAY == "D3" then 

		if DEAD_GUARD_PASSAGE_0072_D3 then
			if DEAD_GUARD_COVERED then
				StartAnimationPart("hic1",3,4,-1,false)
			else
				AnimationSetToStart("hic1",false)
			end
			if PHILIP_DEAD_GUARD_0072_D3 then
				StartAnimationPart("hhc1",0,20,-1,false)
			end
		end
	end
end

function ShowDialog()

	if not Brief then PushAnswer("Ce1748") end
	if not Victimes then PushAnswer("Ce1753") end
	if not Incidents then PushAnswer("Ce1756") end

	if Incidents then
		if not Cocher then PushAnswer("Ce1761") end
		if not Bibliothecaire then PushAnswer("Ce1766") end
	end

	PushAnswer("3411")
	StartAnimationPart("gac1",0,30,-1,true)
end

function OnDialogFinished(dialogName)
end

function OnAnswered(textId)
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0067.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0064.wp" then 
		ChangeWarp(objectName)
	end
end
